Request body
namestringrequiredDestination slug. Immutable after creation. Matches /^[a-z0-9-]+$/.
≥ 1 characters≤ 64 charactersmatches^[a-z0-9-]+$configobjectrequiredpath_templatestringrequired- ≤ 2048 characters
url_templatestringURL template used to create an image URL. It must include a
{path}which is a resolved path to file frompath_template.Example:
path_template -> "/images/{id}"
On upload
pathbecomes/images/img_si1EywtFZMvDArkcVSSsN759VFNbHtE_.webpurl_template: "https://my-cdn.my-domain.com/{path}"
The
urlin the response will be: "https://my-cdn.my-domain.com/images/img_si1EywtFZMvDArkcVSSsN759VFNbHtE_.webp"Note: The double
//are automatically removed and replaced with single slash.format: includesmatches\{path\}
providerobjectrequiredid"bunny"requiredstorage_zonestringrequiredregionstring"de""uk""ny""la""sg""se""br""jh"
secretobjectrequiredpasswordstringrequired
Response
Destination created
dataobjectrequiredidstringrequirednamestringrequiredproviderjsonrequiredconfigjsonrequiredcreated_atstringrequired- format: date-time
updated_atstringrequired- format: date-time
Errors
A failed call names what went wrong in code, with a sentence in message. The codes, which of them are worth retrying, and how to read a validation failure are on Errors.